
Redmine - Feature #1091

Disabling default ticket fields per tracker

2008-04-23 05:53 - girish konnur

Status: Closed Start date: 2008-04-23

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed   

Description

I want to create a tracker with all the custom fields. I don't want any default fields to be displayed in it

Related issues:

Related to Redmine - Feature #703: Configurable required fields per tracker/s... Closed 2008-02-21

Related to Redmine - Feature #9700: Allow to configure the visibility of the ... Closed

Related to Redmine - Defect #12707: Typo in app/models/tracker.rb Closed

Related to Redmine - Feature #6637: "unwanted" features as plugins Closed 2010-10-12

Has duplicate Redmine - Feature #4434: Hide target version in ticket mask Closed 2009-12-17

Has duplicate Redmine - Feature #4387: Managing "description" field Closed 2009-12-11

Has duplicate Redmine - Feature #1296: Allow trackers to hide issue fields Closed 2008-05-25

Has duplicate Redmine - Feature #3737: Enabling to Remove Default Fields in N... Closed 2009-08-14

Has duplicate Redmine - Feature #3154: Remove default fields on new issue form Closed 2009-04-10

Has duplicate Redmine - Feature #5032: Ability to remove "Assigned to" field ... Closed 2010-03-10

Has duplicate Redmine - Feature #9736: custom field visibility based on tracker Closed

Has duplicate Redmine - Feature #8150: Suggestion for editing Issue form Closed 2011-04-14

Precedes Redmine - Defect #14584: Standard fields disabled for certain tracke... Closed

Associated revisions

Revision 9912 - 2012-07-05 14:20 - Jean-Philippe Lang

Ability to disable standard fields on a per tracker basis (#1091).

Revision 9914 - 2012-07-05 14:52 - Toshi MARUYAMA

generate translation files (#1091)

History

#1 - 2008-04-26 14:21 - Jean-Philippe Lang

- Subject changed from How to create a tracker with all custom fields  to Disabling default ticket fields

- Category changed from Custom fields to Issues

- Target version deleted (0.7)

Default fields can not be disabled for now.

#2 - 2009-12-26 16:29 - Kamil .

Default fields can not be disabled for now

 Are you going to provide the solution in the future?

#3 - 2009-12-29 00:36 - Mischa The Evil

Fixed the issue-relationships...
#4 - 2010-01-04 09:34 - Jan Ivar Beddari

Mischa The Evil wrote:

Fixed the issue-relationships...

 Mischa, how about changing or adding to the title of this feature so that it describes the ones it duplicates also, more accurately.. ? I'm thinking a

solution to this is more general than disabling the default ticket fields?

#5 - 2010-01-04 09:37 - Jan Ivar Beddari

Sorry, I see now that this is related to #703 and together these are enough. Feel free to remove/delete these non-productive comments :)

#6 - 2010-12-07 00:01 - mythos mint

+1

#7 - 2011-01-04 23:02 - Elmer Thomas

+1

#8 - 2011-03-15 06:40 - James Brown

+1

I need to have a new issues interface that can be used by external parties.  I don't want them to be able to see the "Assigned to" or "Due date" etc

fields.

I am running 1.0.5 and I made the following changes to redmine/app/views/issues/_form.rhtml

-------------------------------------------------------------------------------

24,26c24,28

< <div id="attributes" class="attributes">

<       <%= render :partial => 'issues/attributes' %>

< </div>

---

<% if User.current.roles_for_project(Herve Harster).length != 1 || User.current.roles_for_project(Herve Harster)[0].name != "Reporter" >

<div id="attributes" class="attributes">

<= render :partial => 'issues/attributes' >

</div>

< end %>

 

This will render the issue attributes IF AND ONLY IF the user is a "Reporter" role.  This will also remove access to any custom fields.

It is a quick and VERY dirty hack but it is enough to keep me going until this issue is solved.

#9 - 2011-03-15 21:06 - Terence Mill

+1

#10 - 2011-03-23 16:22 - Amit Ben Shahar

+1

#11 - 2011-04-08 22:25 - Daniel Thornton

+1

#12 - 2011-04-26 14:42 - Kurt Hilsmeier

This capability would be huge.

#13 - 2011-04-26 15:39 - Terence Mill

I openeda feature request a time ago, which will include all this kind of field configuration.

See here Issue #8050

#14 - 2011-07-22 22:58 - Joshua Stein

+1

#15 - 2011-09-01 15:12 - Aidin Abedi

2025-05-17 2/5

https://www.redmine.org/issues/703
https://www.redmine.org/users/11497
https://www.redmine.org/users/11497
https://www.redmine.org/issues/8050


+1

#16 - 2011-09-02 13:30 - Olivier Pierard

+1

#17 - 2011-09-12 18:51 - Julien Purjuju

+1

#18 - 2011-10-06 13:34 - Chris Lockwood

+1

#19 - 2011-10-21 15:22 - Damien Brugne

+1

#20 - 2011-10-28 11:52 - Gurvan Le Dromaguet

+1

#21 - 2011-12-27 19:19 - Glauber Matos

+1

#22 - 2012-01-05 17:42 - Sebastián Lara

+1

#23 - 2012-01-17 14:24 - Julien Purjuju

+1

#24 - 2012-03-27 08:40 - Roman E.

+1

#25 - 2012-03-27 20:55 - Terence Mill

duplicate of #8050

#26 - 2012-05-01 20:58 - Rabbit Seagraves

+1

#27 - 2012-05-06 18:24 - Ben Flaumenhaft

+1 !!!!!!!!!!

#28 - 2012-06-13 20:28 - Lev D

+1 Yes, indeed!

No reason not to include this feature. Arranging the form to your liking would also be quite useful. Right now, I added 4 extra fields and my eyes are

already jumping around the form looking for the the ones I need to fill in and for those I want to skip.

#29 - 2012-07-05 14:21 - Jean-Philippe Lang

- File standard_fields.png added

- Subject changed from Disabling default ticket fields to Disabling default ticket fields per tracker

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.1.0

- Resolution set to Fixed

Feature added in r9912. You can now disable regular fields on the tracker form:
#30 - 2012-08-12 13:34 - Terence Mill

That's required in issue #8417

+1 Yes, indeed!

No reason not to include this feature. Arranging the form to your liking would also be quite useful. Right now, I added 4 extra fields and my eyes

are already jumping around the form looking for the the ones I need to fill in and for those I want to skip.

#31 - 2012-10-10 12:58 - joseph john

IS this feature also will be enabled on the 1.4 world?

#32 - 2012-10-15 16:30 - Bruno Medeiros

joseph john wrote:

IS this feature also will be enabled on the 1.4 world?

 Sure not.

#33 - 2013-01-05 04:37 - HU  an

Why do I still can't disable the "Status/Priority/File attaching/Watchers" field? People wanna add a complete new issue tracker things like

meeting/billing/sales...

Badly need to need this feature!

#34 - 2013-01-05 12:25 - Daniel Felix

Wan Zhenhuan wrote:

Why do I still can't disable the "Status/Priority/File attaching/Watchers" field? People wanna add a complete new issue tracker things like

meeting/billing/sales...

Badly need to need this feature!

 Well, this could be solved after this patch is applied to the core #12005.

Best regards,

Daniel

#35 - 2013-08-01 00:19 - Mischa The Evil

- Precedes Defect #14584: Standard fields disabled for certain trackers still appear in email notifications added

#36 - 2013-12-04 05:37 - Toshi MARUYAMA

- Related to Defect #12707: Typo in app/models/tracker.rb added
#37 - 2014-10-04 17:56 - Damon Tabb

But the "priority" field still seems permanent. Is there a way to include that in the list of default fields that can be disabled? I have a specific tracker

that doesn't need this field and it's causing some mild confusion with issue reporters.

#38 - 2015-03-06 04:42 - Go MAEDA

- Related to Feature #6637: "unwanted" features as plugins added

#39 - 2015-09-25 13:31 - Ashish Agrawal

Is there a plugin to disable the Issue core fields such as assigned_to_id on a project level basis? As per the existing settings, only custom fields can

be disabled on a per project basis. Standard fields can be disabled per tracker/role/user but not per project.

I want standard fields disable options same as custom fields in project settings also.

#40 - 2017-02-09 05:05 - Go MAEDA

- Has duplicate Feature #9736: custom field visibility based on tracker added

#41 - 2018-05-21 16:57 - Go MAEDA

- Has duplicate Feature #8150: Suggestion for editing Issue form added
